Subject: Re: [PATCH 8/11][TG3]: Add TG3_FLAG_SUPPORT_MSI flag.

From: Jeff Garzik <[email-masked]>
Date: Fri, 04 May 2007 20:38:43 -0400

Michael Chan wrote:
> @@ -10404,6 +10400,8 @@ static void __devinit tg3_read_fw_ver(struct tg3 *tp)
>  	}
>  }
>  
> +static struct pci_dev * __devinit tg3_find_peer(struct tg3 *);
> +
>  static int __devinit tg3_get_invariants(struct tg3 *tp)
>  {
>  	static struct pci_device_id write_reorder_chipsets[] = {

Prototypes are better kept at the top of the file, grouped together.  It 
can sometimes be a pain later on, if they are scattered throughout a big 
source file like tg3.c.

ACK the patch's content of course